(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap21.png", id:"Bitmap21"},
		{src:"images/Bitmap22.png", id:"Bitmap22"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,544,525);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,99);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,103);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,105);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,103);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,104);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,101);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,99);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,105);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,105);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,104);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,104);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,104);


(lib.Bitmap21 = function() {
	this.initialize(img.Bitmap21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,105);


(lib.Bitmap22 = function() {
	this.initialize(img.Bitmap22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,107);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,101);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,101);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,107);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,99);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,104);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,104);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,101);


(lib.Symbol21 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,101);
p.frameBounds = [rect];


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,104);
p.frameBounds = [rect];


(lib.Symbol19 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap20();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,104);
p.frameBounds = [rect];


(lib.Symbol18 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,104);
p.frameBounds = [rect];


(lib.Symbol17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,105);
p.frameBounds = [rect];


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,99);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,103);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,105);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap18();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,105);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,103);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap22();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,107);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,104);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,104);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,99);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,99);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap21();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,105);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,101);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,99,107);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,101);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,97,101);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,96,104);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '12241',
			title: 'Uzupełnij piramidę bombkami. Pamiętaj numer bombki musi być równy sumie numerów bombek znajdujących się pod nią. ',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8|9',	
				/*drop_9:*/ '8|9',		
				/*drop_10:*/ '10|11',		
				/*drop_11:*/ '10|11',		
				/*drop_12:*/ '12',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_9 = new lib.Symbol8();
	this.drop_9.setTransform(403,461.9,1,1,30,0,0,49.5,49.6);

	this.drop_2 = new lib.Symbol6();
	this.drop_2.setTransform(326.1,203.8,1,1,0,0,0,48.5,52.5);

	this.drop_1 = new lib.Symbol21();
	this.drop_1.setTransform(221.8,207.8,1,1,0,0,0,48,50.5);

	this.drop_4 = new lib.Symbol13();
	this.drop_4.setTransform(371.8,289,1,1,44.5,0,0,48.5,52.5);

	this.drop_7 = new lib.Symbol20();
	this.drop_7.setTransform(431.5,374.2,1,1,-30.2,0,0,47.9,51.9);

	this.drop_3 = new lib.Symbol12();
	this.drop_3.setTransform(204,289.5,1,1,0,0,0,49.5,51.5);

	this.drop_6 = new lib.Symbol15();
	this.drop_6.setTransform(242.2,383.4,1,1,29.2,0,0,49.5,51.5);

	this.drop_10 = new lib.Symbol4();
	this.drop_10.setTransform(310.1,458,1,1,-16.2,0,0,49.5,53.5);

	this.drop_5 = new lib.Symbol11();
	this.drop_5.setTransform(163.4,373.7,1,1,0,0,0,49.5,53.5);

	this.drop_8 = new lib.Symbol9();
	this.drop_8.setTransform(118,464.3,1,1,0,0,0,48,52);

	this.drop_11 = new lib.Symbol4();
	this.drop_11.setTransform(451.6,543.1,1,1,0,0,0,49.5,53.5);

	this.drop_12 = new lib.Symbol3();
	this.drop_12.setTransform(163.4,552.7,1,1,0,0,0,48.5,50.5);

	this.drag_1 = new lib.Symbol21();
	this.drag_1.setTransform(693.8,516.8,1,1,0,0,0,48,50.5);

	this.drag_7 = new lib.Symbol20();
	this.drag_7.setTransform(617.6,427.9,1,1,0,0,0,48,52);

	this.drag_21 = new lib.Symbol19();
	this.drag_21.setTransform(1214.7,514.3,1,1,0,0,0,48,52);

	this.drag_20 = new lib.Symbol18();
	this.drag_20.setTransform(1100.1,500.2,1,1,0,0,0,48,52);

	this.drag_19 = new lib.Symbol17();
	this.drag_19.setTransform(980.1,540.1,1,1,0,0,0,48.5,52.5);

	this.drag_18 = new lib.Symbol16();
	this.drag_18.setTransform(823.5,544.9,1,1,0,0,0,49.5,49.5);

	this.drag_6 = new lib.Symbol15();
	this.drag_6.setTransform(993.6,339.7,1,1,0,0,0,49.5,51.5);

	this.drag_17 = new lib.Symbol14();
	this.drag_17.setTransform(1130.1,380.1,1,1,0,0,0,48.5,52.5);

	this.drag_4 = new lib.Symbol13();
	this.drag_4.setTransform(913.1,419.8,1,1,0,0,0,48.5,52.5);

	this.drag_3 = new lib.Symbol12();
	this.drag_3.setTransform(811,423.5,1,1,0,0,0,49.5,51.5);

	this.drag_5 = new lib.Symbol11();
	this.drag_5.setTransform(704,337.7,1,1,0,0,0,49.5,53.5);

	this.drag_15 = new lib.Symbol10();
	this.drag_15.setTransform(898,284.3,1,1,0,0,0,48,52);

	this.drag_9 = new lib.Symbol9();
	this.drag_9.setTransform(790,254.3,1,1,0,0,0,48,52);

	this.drag_8 = new lib.Symbol8();
	this.drag_8.setTransform(613.5,260.9,1,1,0,0,0,49.5,49.5);

	this.drag_16 = new lib.Symbol7();
	this.drag_16.setTransform(1130.2,260.2,1,1,0,0,0,49.5,49.5);

	this.drag_2 = new lib.Symbol6();
	this.drag_2.setTransform(1109.5,140.9,1,1,0,0,0,48.5,52.5);

	this.drag_11 = new lib.Symbol5();
	this.drag_11.setTransform(1008.7,223.5,1,1,0,0,0,48.5,50.5);

	this.drag_10 = new lib.Symbol4();
	this.drag_10.setTransform(885.6,148.6,1,1,0,0,0,49.5,53.5);

	this.drag_12 = new lib.Symbol3();
	this.drag_12.setTransform(751.4,141.6,1,1,0,0,0,48.5,50.5);

	this.drag_14 = new lib.Symbol2();
	this.drag_14.setTransform(631.4,141.6,1,1,0,0,0,48.5,50.5);

	this.drag_13 = new lib.Symbol1();
	this.drag_13.setTransform(524.7,164.3,1,1,0,0,0,48,52);

	this.instance = new lib.Bitmap1();
	this.instance.setTransform(39.7,79.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.drag_13},{t:this.drag_14},{t:this.drag_12},{t:this.drag_10},{t:this.drag_11},{t:this.drag_2},{t:this.drag_16},{t:this.drag_8},{t:this.drag_9},{t:this.drag_15},{t:this.drag_5},{t:this.drag_3},{t:this.drag_4},{t:this.drag_17},{t:this.drag_6},{t:this.drag_18},{t:this.drag_19},{t:this.drag_20},{t:this.drag_21},{t:this.drag_7},{t:this.drag_1},{t:this.drop_12},{t:this.drop_11},{t:this.drop_8},{t:this.drop_5},{t:this.drop_10},{t:this.drop_6},{t:this.drop_3},{t:this.drop_7},{t:this.drop_4},{t:this.drop_1},{t:this.drop_2},{t:this.drop_9}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(39.7,79.2,1223.1,525);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(679.7,439.2,1223.1,525);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;